{
    "version": "0.2.0",
    "configurations": [
        {
            "name": "Maya: Attach (debugpy)",
            "type": "debugpy",
            "request": "attach",
            "connect": { "host": "localhost", "port": 5678 },
            "pathMappings": [
                { "localRoot": "${workspaceFolder}/python", "remoteRoot": "${workspaceFolder}/python" },
                { "localRoot": "${workspaceFolder}/plug-ins", "remoteRoot": "${workspaceFolder}/plug-ins" }
            ],
            "justMyCode": false
        },
        {
            "name": "mayapy 2024: Run current file",
            "type": "debugpy",
            "request": "launch",
            "python": "C:\\Program Files\\Autodesk\\Maya2024\\bin\\mayapy.exe",
            "program": "${file}",
            "console": "integratedTerminal",
            "justMyCode": false,
            "env": { "PYTHONPATH": "${workspaceFolder}/python" }
        },
        {
            "name": "mayapy 2023: Run current file",
            "type": "debugpy",
            "request": "launch",
            "python": "C:\\Program Files\\Autodesk\\Maya2023\\bin\\mayapy.exe",
            "program": "${file}",
            "console": "integratedTerminal",
            "justMyCode": false,
            "env": { "PYTHONPATH": "${workspaceFolder}/python" }
        },
        {
            "name": "mayapy 2022: Run current file",
            "type": "debugpy",
            "request": "launch",
            "python": "C:\\Program Files\\Autodesk\\Maya2022\\bin\\mayapy.exe",
            "program": "${file}",
            "console": "integratedTerminal",
            "justMyCode": false,
            "env": { "PYTHONPATH": "${workspaceFolder}/python" }
        }
    ]
}
